org.pentaho.reporting.libraries.resourceloader.cache

## Class DefaultResourceDataCacheEntry

- java.lang.Object
- - org.pentaho.reporting.libraries.resourceloader.cache.DefaultResourceDataCacheEntry

All Implemented Interfaces:
  java.io.Serializable, ResourceDataCacheEntry

    public class DefaultResourceDataCacheEntry
    extends java.lang.Object
    implements ResourceDataCacheEntry

Creation-Date: 06.04.2006, 09:53:37

Author:
  Thomas Morgner
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DefaultResourceDataCacheEntry(ResourceData data, ResourceManager manager)`

### Method Summary

Methods
`ResourceData` `getData()`
`long` `getStoredVersion()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultResourceDataCacheEntry

    public DefaultResourceDataCacheEntry(ResourceData data,
                                 ResourceManager manager)
                                  throws ResourceLoadingException

Throws:
  `ResourceLoadingException`

### Method Detail

#### getData

    public ResourceData getData()

Specified by:
  `getData` in interface `ResourceDataCacheEntry`

#### getStoredVersion

    public long getStoredVersion()

Specified by:
  `getStoredVersion` in interface `ResourceDataCacheEntry`